# m17n-misc.h File Reference

## Enumerations

enum

MErrorCode {
MERROR_NONE,
MERROR_OBJECT,
MERROR_SYMBOL,
MERROR_MTEXT,
MERROR_TEXTPROP,
MERROR_CHAR,
MERROR_CHARTABLE,
MERROR_CHARSET,
MERROR_CODING,
MERROR_RANGE,
MERROR_LANGUAGE,
MERROR_LOCALE,
MERROR_PLIST,
MERROR_MISC,
MERROR_WIN,
MERROR_X,
MERROR_FRAME,
MERROR_FACE,
MERROR_DRAW,
MERROR_FLT,
MERROR_FONT,
MERROR_FONTSET,
MERROR_FONT_OTF,
MERROR_FONT_X,
MERROR_FONT_FT,
MERROR_IM,
MERROR_DB,
MERROR_IO,
MERROR_DEBUG,
MERROR_MEMORY,
MERROR_GD,
MERROR_MAX
}

| Enumeration for error code of the m17n library. More...

## Functions

int | mdebug_hook (void)
| Hook function called on an error.
MSymbol | mdebug_dump_symbol (MSymbol sym, int indent)
| Dump a symbol.
MSymbol | mdebug_dump_all_symbols (int indent)
| Dump all symbol names.
MPlist * | mdebug_dump_plist (MPlist *plist, int indent)
| Dump a property list.
MText * | mdebug_dump_mtext (MText *mt, int fullp, int indent)
| Dump an M-text.
MCharTable * | mdebug_dump_chartab (MCharTable *table, int indent)
| Dump a chartable.

## Variables

void(* | m17n_memory_full_handler )(enum MErrorCode err)
| Memory allocation error handler.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines